// pages/clockIn/index.js
import request from '~/api/request';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    
    newTime: '',
    list: []
  },


  async getList(){
    const res = await request('patient/medicine_records', 'get', {
      page: 1,
      page_size: 10,
      time_type: 1,
      status: 0
    })
    const arr = res.list.map(item => {
      item.detail = JSON.parse(item.detail)
      return item
    })
    this.setData({
      list: arr
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const now = new Date()
    const year = now.getFullYear()
    const month = now.getMonth() + 1
    const day = now.getDate()
    const hours = now.getHours()
    const minutes = now.getMinutes()
    const seconds = now.getSeconds()
    
    const formattedTime = `${year}年${month.toString().padStart(2, '0')}月${day.toString().padStart(2, '0')}日`
    this.getList()
    this.setData({
      newTime: formattedTime
    })
  },
  async medicineRecord(e){
    const {id, status} = e.currentTarget.dataset
    if(status == 1){
      await request('patient/medicine_record/'+id, 'put', {})
      wx.showToast({
        type: 'success',
        title: '打卡成功',
      })
      this.getList()
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  toRecord() {
    wx.navigateTo({
      url: '/pages/medicationRecord/index',
    })
  }
})